umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
cxx11-initializer-lists.h File Reference

Go to the source code of this file.

## Classes
class | SequenceClass

## Functions
void | function_name (std::initializer_list< float > list)
| function_name ({1.0f, -3.45f, -0.4f})
std::vector< std::string > | v ({ "xyzzy", "plugh", "abracadabra" })

## Variables
SequenceClass | some_var = {1, 4, 5, 6}
std::vector< std::string > | v = { "xyzzy", "plugh", "abracadabra" }

## Function Documentation

## ◆ function_name() [1/2]

void function_name | ( | std::initializer_list< float > | list | ) |

## ◆ function_name() [2/2]

function_name | ( | {1.0f, -3.45f, -0.4f} |  | ) |

## ◆ v()

std::vector< std::string > v | ( | { "xyzzy", "plugh", "abracadabra" } |  | ) |

## Variable Documentation

## ◆ some_var

SequenceClass some_var = {1, 4, 5, 6}

## ◆ v

std::vector< std::string > v = { "xyzzy", "plugh", "abracadabra" }